API reference

Toolchains

Retire toolchain packs the cell store signed for your organization, by tool, version or publishing worker.

POST/v1/ci/toolchains/retirements

Revoke toolchain packs

Retire toolchain packs by tool, version or the worker that published them.

Permission: ci:cache.adminCommand: send Idempotency-Key

Parameters

NameTypeRequiredDescription
Idempotency-KeyheaderstringRequired

Request body

reasonstringRequired
requestedstring or null
toolstringRequired
workerstring or null
uuidv7 rendered as wrk_<32 hex>

Response200 OK

retiredintegerRequired
curl -X POST "$CIRESK_API/v1/ci/toolchains/retirements" \
  -H "Authorization: Bearer $CIRESK_KEY" \
  -H "Idempotency-Key: 2faa7193-255e-4106-8004-3b1ae953278e" \
  -H "Content-Type: application/json" \
  -d '{
    "reason": "a file in globals.inputs changed",
    "requested": "acme/platform",
    "tool": "acme/platform",
    "worker": "wrk_01d0a4beab0d9d6aef88ffcdc85fd344"
  }'